# Couenne::t_chg_bounds Class Reference

status of lower/upper bound of a variable, to be checked/modified in bound tightening More...

`#include <CouenneTypes.hpp>`

List of all members.

## Public Types
enum | ChangeStatus { UNCHANGED = 0, CHANGED = 1, EXACT = 2 }
## Public Member Functions
| t_chg_bounds ()
| t_chg_bounds (const t_chg_bounds &src)
const char & | lower () const
const char & | upper () const
void | setLower (ChangeStatus lower)
void | setUpper (ChangeStatus upper)
void | setLowerBits (char lower)
void | setUpperBits (char upper)
t_chg_bounds | operator= (const t_chg_bounds &src)
## Private Attributes
char | lower_
char | upper_

## Detailed Description

status of lower/upper bound of a variable, to be checked/modified in bound tightening

Definition at line 66 of file CouenneTypes.hpp.

## Member Enumeration Documentation

enum Couenne::t_chg_bounds::ChangeStatus

Enumerator:

  UNCHANGED |
  CHANGED |
  EXACT |

Definition at line 69 of file CouenneTypes.hpp.

## Constructor & Destructor Documentation

Couenne::t_chg_bounds::t_chg_bounds | ( |  | ) | `[inline]`

Definition at line 75 of file CouenneTypes.hpp.

Couenne::t_chg_bounds::t_chg_bounds | ( | const t_chg_bounds & | src | ) | `[inline]`

Definition at line 79 of file CouenneTypes.hpp.

## Member Function Documentation

const char& Couenne::t_chg_bounds::lower | ( |  | ) | const`[inline]`

Definition at line 83 of file CouenneTypes.hpp.

References lower_.

const char& Couenne::t_chg_bounds::upper | ( |  | ) | const`[inline]`

Definition at line 84 of file CouenneTypes.hpp.

References upper_.

void Couenne::t_chg_bounds::setLower | ( | ChangeStatus | lower | ) | `[inline]`

Definition at line 85 of file CouenneTypes.hpp.

References lower_.

void Couenne::t_chg_bounds::setUpper | ( | ChangeStatus | upper | ) | `[inline]`

Definition at line 86 of file CouenneTypes.hpp.

References upper_.

void Couenne::t_chg_bounds::setLowerBits | ( | char | lower | ) | `[inline]`

Definition at line 87 of file CouenneTypes.hpp.

References lower_.

void Couenne::t_chg_bounds::setUpperBits | ( | char | upper | ) | `[inline]`

Definition at line 88 of file CouenneTypes.hpp.

References upper_.

t_chg_bounds Couenne::t_chg_bounds::operator= | ( | const t_chg_bounds & | src | ) | `[inline]`

Definition at line 89 of file CouenneTypes.hpp.

References lower_, and upper_.

## Member Data Documentation

char Couenne::t_chg_bounds::lower_`[private]`

Definition at line 95 of file CouenneTypes.hpp.

Referenced by lower(), operator=(), setLower(), and setLowerBits().

char Couenne::t_chg_bounds::upper_`[private]`

Definition at line 96 of file CouenneTypes.hpp.

Referenced by operator=(), setUpper(), setUpperBits(), and upper().

The documentation for this class was generated from the following file:

- CouenneTypes.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines